About MathCast

MathCast Help

Copyright © 2004-2007 Tom Chakam, Version 0.89.

Important: If some symbols in this help don't appear correctly, open an Internet Explorer window, and from the main menu select View->Encoding->Auto Select.

About

MathCast is an equation editor, an application that allows you to input mathematical equations. These equations can be used in written documents, webpages, databases, etc. They could be rendered graphically to the screen, to picture files, or to MathML - today's leading standard language for describing mathematics.

MathCast is a free and open source application. Feel free to use it to help your studies, to add mathematics to your website, etc.

The typing of new equations in MathCast is done through the Rapid Mathline, an input line characterized by its ease of use and power.

MathCast is also an Equation List Manager, enabling you to edit many equations simultaneously.

Here are some of the classical features of MathCast:
  • Works with popular word processors such as MS Word and OpenOffice.org Writer, allowing you to integrate mathematics into written documents of any type: equation sheets, lab reports, study guides, and so on. Photo editing is also supported, allowing you to make posters and presentations.
  • Includes sharp rendering for on-screen reading and smooth rendering for high quality printing.
  • Supports output to picture files, including: BMP, PNG (Portable Network Graphics, the web's free and lossless graphic format), and EMF (Enhanced Metafiles).

Here are some of the innovative features of MathCast:
  • Operates on MathML Presentation 2.0, today's leading format for describing mathematics. MathML is based on XML, the web's most extensible language.
  • XHTML provides numerous advancements from surfing the net to enjoying web services. MathCast's most powerful feature Mathcasting allows you to work on all the <math> tags of an XHTML document, whilst keeping the rest of the markup untouched. This means you can work on all of the mathematics of a webpage together at the same time, in a way that is graphically mathematical, and then you can come back to reedit whenever you need to.
  • MathCast allows people to work together on mathematical lists over a LAN or across the Internet. Students can work on homework assignments together by quickly exchanging equations. This could also be a useful feature for online teaching.

For the latest on MathCast, check out its homepage, MathCast.sf.net.


License

MathCast is licensed under the GNU General Public License.

You may use the mathematics created with the help of MathCast freely and for any purpose.

However, at this time this software does require additional fonts, in order to display many equations correctly. The license for these fonts states that they are free for personal use.

You are not allowed to sell MathCast for profit. And you are not allowed to include MathCast within any software package sold for profit.

The source code for MathCast is also licensed under the GPL, and you may freely download and modify it. However, you are not allowed to sell the source code for profit. And you are not allowed to sell any software created with the help of MathCast’s source code for profit.

Since MathCast’s embeds Mozilla, the Mozilla Public Licence is also included.

MathCast also uses bmp2png utility, created by Miyasaka Masaru. The following is the bmp2png copyright notice and license:
"bmp2png --- a converter from (Windows or OS/2 style) BMP to PNG
png2bmp --- a converter from PNG to (Windows style) BMP
Copyright (C) 1999-2002 MIYASAKA Masaru <alkaid@coral.ocn.ne.jp>
Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. This software is provided "as is" without express or implied warranty."

MathCast includes images from the Noia icons set, licenced under LGPL:
"The Noia icons for KDE.
Made by Carlitus (Carles Carbonell Bernado)
mail@carlitus.net
http://www.carlitus.net"

MathCast includes images from the Nuvola icons set, licenced under LGPL:
"Copyright (c) 2003-2004 David Vignoni.
http://www.icon-king.com"


The GNU General Public License (GPL)

Version 2, June 1991

Copyright (C) 1989, 1991 Free Software Foundation, Inc.
59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Everyone is permitted to copy and distribute verbatim copies
of this license document, but changing it is not allowed.

Preamble

The licenses for most software are designed to take away your freedom to share and change it. By contrast, the GNU General Public License is intended to guarantee your freedom to share and change free software--to make sure the software is free for all its users. This General Public License applies to most of the Free Software Foundation's software and to any other program whose authors commit to using it. (Some other Free Software Foundation software is covered by the GNU Library General Public License instead.) You can apply it to your programs, too.

When we speak of free software, we are referring to freedom, not price. Our General Public Licenses are designed to make sure that you have the freedom to distribute copies of free software (and charge for this service if you wish), that you receive source code or can get it if you want it, that you can change the software or use pieces of it in new free programs; and that you know you can do these things.

To protect your rights, we need to make restrictions that forbid anyone to deny you these rights or to ask you to surrender the rights. These restrictions translate to certain responsibilities for you if you distribute copies of the software, or if you modify it.

For example, if you distribute copies of such a program, whether gratis or for a fee, you must give the recipients all the rights that you have. You must make sure that they, too, receive or can get the source code. And you must show them these terms so they know their rights.

We protect your rights with two steps: (1) copyright the software, and (2) offer you this license which gives you legal permission to copy, distribute and/or modify the software.

Also, for each author's protection and ours, we want to make certain that everyone understands that there is no warranty for this free software. If the software is modified by someone else and passed on, we want its recipients to know that what they have is not the original, so that any problems introduced by others will not reflect on the original authors' reputations.

Finally, any free program is threatened constantly by software patents. We wish to avoid the danger that redistributors of a free program will individually obtain patent licenses, in effect making the program proprietary. To prevent this, we have made it clear that any patent must be licensed for everyone's free use or not licensed at all.

The precise terms and conditions for copying, distribution and modification follow.

TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION

0. This License applies to any program or other work which contains a notice placed by the copyright holder saying it may be distributed under the terms of this General Public License. The "Program", below, refers to any such program or work, and a "work based on the Program" means either the Program or any derivative work under copyright law: that is to say, a work containing the Program or a portion of it, either verbatim or with modifications and/or translated into another language. (Hereinafter, translation is included without limitation in the term "modification".) Each licensee is addressed as "you".

Activities other than copying, distribution and modification are not covered by this License; they are outside its scope. The act of running the Program is not restricted, and the output from the Program is covered only if its contents constitute a work based on the Program (independent of having been made by running the Program). Whether that is true depends on what the Program does.

1. You may copy and distribute verbatim copies of the Program's source code as you receive it, in any medium, provided that you conspicuously and appropriately publish on each copy an appropriate copyright notice and disclaimer of warranty; keep intact all the notices that refer to this License and to the absence of any warranty; and give any other recipients of the Program a copy of this License along with the Program.

You may charge a fee for the physical act of transferring a copy, and you may at your option offer warranty protection in exchange for a fee.

2. You may modify your copy or copies of the Program or any portion of it, thus forming a work based on the Program, and copy and distribute such modifications or work under the terms of Section 1 above, provided that you also meet all of these conditions:

a) You must cause the modified files to carry prominent notices stating that you changed the files and the date of any change.

b) You must cause any work that you distribute or publish, that in whole or in part contains or is derived from the Program or any part thereof, to be licensed as a whole at no charge to all third parties under the terms of this License.

c) If the modified program normally reads commands interactively when run, you must cause it, when started running for such interactive use in the most ordinary way, to print or display an announcement including an appropriate copyright notice and a notice that there is no warranty (or else, saying that you provide a warranty) and that users may redistribute the program under these conditions, and telling the user how to view a copy of this License. (Exception: if the Program itself is interactive but does not normally print such an announcement, your work based on the Program is not required to print an announcement.)

These requirements apply to the modified work as a whole. If identifiable sections of that work are not derived from the Program, and can be reasonably considered independent and separate works in themselves, then this License, and its terms, do not apply to those sections when you distribute them as separate works. But when you distribute the same sections as part of a whole which is a work based on the Program, the distribution of the whole must be on the terms of this License, whose permissions for other licensees extend to the entire whole, and thus to each and every part regardless of who wrote it.

Thus, it is not the intent of this section to claim rights or contest your rights to work written entirely by you; rather, the intent is to exercise the right to control the distribution of derivative or collective works based on the Program.

In addition, mere aggregation of another work not based on the Program with the Program (or with a work based on the Program) on a volume of a storage or distribution medium does not bring the other work under the scope of this License.

3. You may copy and distribute the Program (or a work based on it, under Section 2) in object code or executable form under the terms of Sections 1 and 2 above provided that you also do one of the following:

a) Accompany it with the complete corresponding machine-readable source code, which must be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,

b) Accompany it with a written offer, valid for at least three years, to give any third party, for a charge no more than your cost of physically performing source distribution, a complete machine-readable copy of the corresponding source code, to be distributed under the terms of Sections 1 and 2 above on a medium customarily used for software interchange; or,

c) Accompany it with the information you received as to the offer to distribute corresponding source code. (This alternative is allowed only for noncommercial distribution and only if you received the program in object code or executable form with such an offer, in accord with Subsection b above.)

The source code for a work means the preferred form of the work for making modifications to it. For an executable work, complete source code means all the source code for all modules it contains, plus any associated interface definition files, plus the scripts used to control compilation and installation of the executable. However, as a special exception, the source code distributed need not include anything that is normally distributed (in either source or binary form) with the major components (compiler, kernel, and so on) of the operating system on which the executable runs, unless that component itself accompanies the executable.

If distribution of executable or object code is made by offering access to copy from a designated place, then offering equivalent access to copy the source code from the same place counts as distribution of the source code, even though third parties are not compelled to copy the source along with the object code.

4. You may not copy, modify, sublicense, or distribute the Program except as expressly provided under this License. Any attempt otherwise to copy, modify, sublicense or distribute the Program is void, and will automatically terminate your rights under this License. However, parties who have received copies, or rights, from you under this License will not have their licenses terminated so long as such parties remain in full compliance.

5. You are not required to accept this License, since you have not signed it. However, nothing else grants you permission to modify or distribute the Program or its derivative works. These actions are prohibited by law if you do not accept this License. Therefore, by modifying or distributing the Program (or any work based on the Program), you indicate your acceptance of this License to do so, and all its terms and conditions for copying, distributing or modifying the Program or works based on it.

6. Each time you redistribute the Program (or any work based on the Program), the recipient automatically receives a license from the original licensor to copy, distribute or modify the Program subject to these terms and conditions. You may not impose any further restrictions on the recipients' exercise of the rights granted herein. You are not responsible for enforcing compliance by third parties to this License.

7. If, as a consequence of a court judgment or allegation of patent infringement or for any other reason (not limited to patent issues), conditions are imposed on you (whether by court order, agreement or otherwise) that contradict the conditions of this License, they do not excuse you from the conditions of this License. If you cannot distribute so as to satisfy simultaneously your obligations under this License and any other pertinent obligations, then as a consequence you may not distribute the Program at all. For example, if a patent license would not permit royalty-free redistribution of the Program by all those who receive copies directly or indirectly through you, then the only way you could satisfy both it and this License would be to refrain entirely from distribution of the Program.

If any portion of this section is held invalid or unenforceable under any particular circumstance, the balance of the section is intended to apply and the section as a whole is intended to apply in other circumstances.

It is not the purpose of this section to induce you to infringe any patents or other property right claims or to contest validity of any such claims; this section has the sole purpose of protecting the integrity of the free software distribution system, which is implemented by public license practices. Many people have made generous contributions to the wide range of software distributed through that system in reliance on consistent application of that system; it is up to the author/donor to decide if he or she is willing to distribute software through any other system and a licensee cannot impose that choice.

This section is intended to make thoroughly clear what is believed to be a consequence of the rest of this License.

8. If the distribution and/or use of the Program is restricted in certain countries either by patents or by copyrighted interfaces, the original copyright holder who places the Program under this License may add an explicit geographical distribution limitation excluding those countries, so that distribution is permitted only in or among countries not thus excluded. In such case, this License incorporates the limitation as if written in the body of this License.

9. The Free Software Foundation may publish revised and/or new versions of the General Public License from time to time. Such new versions will be similar in spirit to the present version, but may differ in detail to address new problems or concerns.

Each version is given a distinguishing version number. If the Program specifies a version number of this License which applies to it and "any later version", you have the option of following the terms and conditions either of that version or of any later version published by the Free Software Foundation. If the Program does not specify a version number of this License, you may choose any version ever published by the Free Software Foundation.

10. If you wish to incorporate parts of the Program into other free programs whose distribution conditions are different, write to the author to ask for permission. For software which is copyrighted by the Free Software Foundation, write to the Free Software Foundation; we sometimes make exceptions for this. Our decision will be guided by the two goals of preserving the free status of all derivatives of our free software and of promoting the sharing and reuse of software generally.

NO WARRANTY

11. BECAUSE THE PROGRAM IS LICENSED FREE OF CHARGE, THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

12. IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MAY MODIFY AND/OR REDISTRIBUTE THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS), EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

END OF TERMS AND CONDITIONS

How to Apply These Terms to Your New Programs

If you develop a new program, and you want it to be of the greatest possible use to the public, the best way to achieve this is to make it free software which everyone can redistribute and change under these terms.

To do so, attach the following notices to the program. It is safest to attach them to the start of each source file to most effectively convey the exclusion of warranty; and each file should have at least the "copyright" line and a pointer to where the full notice is found.

one line to give the program's name and a brief idea of what it does.
Copyright (C)

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

Also add information on how to contact you by electronic and paper mail.

If the program is interactive, make it output a short notice like this when it starts in an interactive mode:

Gnomovision version 69, Copyright (C) year name of author Gnomovision comes with ABSOLUTELY NO WARRANTY; for details type `show w'. This is free software, and you are welcome to redistribute it under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate parts of the General Public License. Of course, the commands you use may be called something other than `show w' and `show c'; they could even be mouse-clicks or menu items--whatever suits your program.

You should also get your employer (if you work as a programmer) or your school, if any, to sign a "copyright disclaimer" for the program, if necessary. Here is a sample; alter the names:

Yoyodyne, Inc., hereby disclaims all copyright interest
in the program `Gnomovision' (which makes passes at compilers)
written by James Hacker.

signature of Ty Coon, 1 April 1989
Ty Coon, President of Vice

This General Public License does not permit incorporating your program into proprietary programs. If your program is a subroutine library, you may consider it more useful to permit linking proprietary applications with the library. If this is what you want to do, use the GNU Library General Public License instead of this License.


Mozilla Public License version 1.1

MOZILLA PUBLIC LICENSE
Version 1.1

1. Definitions.

    1.0.1. "Commercial Use" means distribution or otherwise making the Covered Code available to a third party.

    1.1. ''Contributor'' means each entity that creates or contributes to the creation of Modifications.

    1.2. ''Contributor Version'' means the combination of the Original Code, prior Modifications used by a Contributor, and the Modifications made by that particular Contributor.

    1.3. ''Covered Code'' means the Original Code or Modifications or the combination of the Original Code and Modifications, in each case including portions thereof.

    1.4. ''Electronic Distribution Mechanism'' means a mechanism generally accepted in the software development community for the electronic transfer of data.

    1.5. ''Executable'' means Covered Code in any form other than Source Code.

    1.6. ''Initial Developer'' means the individual or entity identified as the Initial Developer in the Source Code notice required by Exhibit A.

    1.7. ''Larger Work'' means a work which combines Covered Code or portions thereof with code not governed by the terms of this License.

    1.8. ''License'' means this document.

    1.8.1. "Licensable" means having the right to grant, to the maximum extent possible, whether at the time of the initial grant or subsequently acquired, any and all of the rights conveyed herein.

    1.9. ''Modifications'' means any addition to or deletion from the substance or structure of either the Original Code or any previous Modifications. When Covered Code is released as a series of files, a Modification is:

      A. Any addition to or deletion from the contents of a file containing Original Code or previous Modifications.

      B. Any new file that contains any part of the Original Code or previous Modifications.

    1.10. ''Original Code'' means Source Code of computer software code which is described in the Source Code notice required by Exhibit A as Original Code, and which, at the time of its release under this License is not already Covered Code governed by this License.

    1.10.1. "Patent Claims" means any patent claim(s), now owned or hereafter acquired, including without limitation, method, process, and apparatus claims, in any patent Licensable by grantor.

    1.11. ''Source Code'' means the preferred form of the Covered Code for making modifications to it, including all modules it contains, plus any associated interface definition files, scripts used to control compilation and installation of an Executable, or source code differential comparisons against either the Original Code or another well known, available Covered Code of the Contributor's choice. The Source Code can be in a compressed or archival form, provided the appropriate decompression or de-archiving software is widely available for no charge.

    1.12. "You'' (or "Your") means an individual or a legal entity exercising rights under, and complying with all of the terms of, this License or a future version of this License issued under Section 6.1. For legal entities, "You'' includes any entity which controls, is controlled by, or is under common control with You. For purposes of this definition, "control'' means (a) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (b) ownership of more than fifty percent (50%) of the outstanding shares or beneficial ownership of such entity.

2. Source Code License.
    2.1. The Initial Developer Grant.
    The Initial Developer hereby grants You a world-wide, royalty-free, non-exclusive license, subject to third party intellectual property claims:
      (a) under intellectual property rights (other than patent or trademark) Licensable by Initial Developer to use, reproduce, modify, display, perform, sublicense and distribute the Original Code (or portions thereof) with or without Modifications, and/or as part of a Larger Work; and

      (b) under Patents Claims infringed by the making, using or selling of Original Code, to make, have made, use, practice, sell, and offer for sale, and/or otherwise dispose of the Original Code (or portions thereof).

      (c) the licenses granted in this Section 2.1(a) and (b) are effective on the date Initial Developer first distributes Original Code under the terms of this License.

      (d) Notwithstanding Section 2.1(b) above, no patent license is granted: 1) for code that You delete from the Original Code; 2) separate from the Original Code; or 3) for infringements caused by: i) the modification of the Original Code or ii) the combination of the Original Code with other software or devices.

    2.2. Contributor Grant.
    Subject to third party intellectual property claims, each Contributor hereby grants You a world-wide, royalty-free, non-exclusive license

      (a) under intellectual property rights (other than patent or trademark) Licensable by Contributor, to use, reproduce, modify, display, perform, sublicense and distribute the Modifications created by such Contributor (or portions thereof) either on an unmodified basis, with other Modifications, as Covered Code and/or as part of a Larger Work; and

      (b) under Patent Claims infringed by the making, using, or selling of Modifications made by that Contributor either alone and/or in combination with its Contributor Version (or portions of such combination), to make, use, sell, offer for sale, have made, and/or otherwise dispose of: 1) Modifications made by that Contributor (or portions thereof); and 2) the combination of Modifications made by that Contributor with its Contributor Version (or portions of such combination).

      (c) the licenses granted in Sections 2.2(a) and 2.2(b) are effective on the date Contributor first makes Commercial Use of the Covered Code.

      (d) Notwithstanding Section 2.2(b) above, no patent license is granted: 1) for any code that Contributor has deleted from the Contributor Version; 2) separate from the Contributor Version; 3) for infringements caused by: i) third party modifications of Contributor Version or ii) the combination of Modifications made by that Contributor with other software (except as part of the Contributor Version) or other devices; or 4) under Patent Claims infringed by Covered Code in the absence of Modifications made by that Contributor.

3. Distribution Obligations.

    3.1. Application of License.
    The Modifications which You create or to which You contribute are governed by the terms of this License, including without limitation Section 2.2. The Source Code version of Covered Code may be distributed only under the terms of this License or a future version of this License released under Section 6.1, and You must include a copy of this License with every copy of the Source Code You distribute. You may not offer or impose any terms on any Source Code version that alters or restricts the applicable version of this License or the recipients' rights hereunder. However, You may include an additional document offering the additional rights described in Section 3.5.

    3.2. Availability of Source Code.
    Any Modification which You create or to which You contribute must be made available in Source Code form under the terms of this License either on the same media as an Executable version or via an accepted Electronic Distribution Mechanism to anyone to whom you made an Executable version available; and if made available via Electronic Distribution Mechanism, must remain available for at least twelve (12) months after the date it initially became available, or at least six (6) months after a subsequent version of that particular Modification has been made available to such recipients. You are responsible for ensuring that the Source Code version remains available even if the Electronic Distribution Mechanism is maintained by a third party.

    3.3. Description of Modifications.
    You must cause all Covered Code to which You contribute to contain a file documenting the changes You made to create that Covered Code and the date of any change. You must include a prominent statement that the Modification is derived, directly or indirectly, from Original Code provided by the Initial Developer and including the name of the Initial Developer in (a) the Source Code, and (b) in any notice in an Executable version or related documentation in which You describe the origin or ownership of the Covered Code.

    3.4. Intellectual Property Matters

      (a) Third Party Claims.
      If Contributor has knowledge that a license under a third party's intellectual property rights is required to exercise the rights granted by such Contributor under Sections 2.1 or 2.2, Contributor must include a text file with the Source Code distribution titled "LEGAL'' which describes the claim and the party making the claim in sufficient detail that a recipient will know whom to contact. If Contributor obtains such knowledge after the Modification is made available as described in Section 3.2, Contributor shall promptly modify the LEGAL file in all copies Contributor makes available thereafter and shall take other steps (such as notifying appropriate mailing lists or newsgroups) reasonably calculated to inform those who received the Covered Code that new knowledge has been obtained.

      (b) Contributor APIs.
      If Contributor's Modifications include an application programming interface and Contributor has knowledge of patent licenses which are reasonably necessary to implement that API, Contributor must also include this information in the LEGAL file.

    (c) Representations.
      Contributor represents that, except as disclosed pursuant to Section 3.4(a) above, Contributor believes that Contributor's Modifications are Contributor's original creation(s) and/or Contributor has sufficient rights to grant the rights conveyed by this License.

    3.5. Required Notices.
    You must duplicate the notice in Exhibit A in each file of the Source Code. If it is not possible to put such notice in a particular Source Code file due to its structure, then You must include such notice in a location (such as a relevant directory) where a user would be likely to look for such a notice. If You created one or more Modification(s) You may add your name as a Contributor to the notice described in Exhibit A. You must also duplicate this License in any documentation for the Source Code where You describe recipients' rights or ownership rights relating to Covered Code. You may choose to offer, and to charge a fee for, warranty, support, indemnity or liability obligations to one or more recipients of Covered Code. However, You may do so only on Your own behalf, and not on behalf of the Initial Developer or any Contributor. You must make it absolutely clear than any such warranty, support, indemnity or liability obligation is offered by You alone, and You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of warranty, support, indemnity or liability terms You offer.

    3.6. Distribution of Executable Versions.
    You may distribute Covered Code in Executable form only if the requirements of Section 3.1-3.5 have been met for that Covered Code, and if You include a notice stating that the Source Code version of the Covered Code is available under the terms of this License, including a description of how and where You have fulfilled the obligations of Section 3.2. The notice must be conspicuously included in any notice in an Executable version, related documentation or collateral in which You describe recipients' rights relating to the Covered Code. You may distribute the Executable version of Covered Code or ownership rights under a license of Your choice, which may contain terms different from this License, provided that You are in compliance with the terms of this License and that the license for the Executable version does not attempt to limit or alter the recipient's rights in the Source Code version from the rights set forth in this License. If You distribute the Executable version under a different license You must make it absolutely clear that any terms which differ from this License are offered by You alone, not by the Initial Developer or any Contributor. You hereby agree to indemnify the Initial Developer and every Contributor for any liability incurred by the Initial Developer or such Contributor as a result of any such terms You offer.

    3.7. Larger Works.
    You may create a Larger Work by combining Covered Code with other code not governed by the terms of this License and distribute the Larger Work as a single product. In such a case, You must make sure the requirements of this License are fulfilled for the Covered Code.

4. Inability to Comply Due to Statute or Regulation.
    If it is impossible for You to comply with any of the terms of this License with respect to some or all of the Covered Code due to statute, judicial order, or regulation then You must: (a) comply with the terms of this License to the maximum extent possible; and (b) describe the limitations and the code they affect. Such description must be included in the LEGAL file described in Section 3.4 and must be included with all distributions of the Source Code. Except to the extent prohibited by statute or regulation, such description must be sufficiently detailed for a recipient of ordinary skill to be able to understand it.
5. Application of this License.
    This License applies to code to which the Initial Developer has attached the notice in Exhibit A and to related Covered Code.
6. Versions of the License.
    6.1. New Versions.
    Netscape Communications Corporation (''Netscape'') may publish revised and/or new versions of the License from time to time. Each version will be given a distinguishing version number.

    6.2. Effect of New Versions.
    Once Covered Code has been published under a particular version of the License, You may always continue to use it under the terms of that version. You may also choose to use such Covered Code under the terms of any subsequent version of the License published by Netscape. No one other than Netscape has the right to modify the terms applicable to Covered Code created under this License.

    6.3. Derivative Works.
    If You create or use a modified version of this License (which you may only do in order to apply it to code which is not already Covered Code governed by this License), You must (a) rename Your license so that the phrases ''Mozilla'', ''MOZILLAPL'', ''MOZPL'', ''Netscape'', "MPL", ''NPL'' or any confusingly similar phrase do not appear in your license (except to note that your license differs from this License) and (b) otherwise make it clear that Your version of the license contains terms which differ from the Mozilla Public License and Netscape Public License. (Filling in the name of the Initial Developer, Original Code or Contributor in the notice described in Exhibit A shall not of themselves be deemed to be modifications of this License.)

7. DISCLAIMER OF WARRANTY.
    COVERED CODE IS PROVIDED UNDER THIS LICENSE ON AN "AS IS'' BASIS, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, WITHOUT LIMITATION, WARRANTIES THAT THE COVERED CODE IS FREE OF DEFECTS, MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE OR NON-INFRINGING. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE COVERED CODE IS WITH YOU. SHOULD ANY COVERED CODE PROVE DEFECTIVE IN ANY RESPECT, YOU (NOT THE INITIAL DEVELOPER OR ANY OTHER CONTRIBUTOR) ASSUME THE COST OF ANY NECESSARY SERVICING, REPAIR OR CORRECTION. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS LICENSE. NO USE OF ANY COVERED CODE IS AUTHORIZED HEREUNDER EXCEPT UNDER THIS DISCLAIMER.
8. TERMINATION.
    8.1. This License and the rights granted hereunder will terminate automatically if You fail to comply with terms herein and fail to cure such breach within 30 days of becoming aware of the breach. All sublicenses to the Covered Code which are properly granted shall survive any termination of this License. Provisions which, by their nature, must remain in effect beyond the termination of this License shall survive.

    8.2. If You initiate litigation by asserting a patent infringement claim (excluding declatory judgment actions) against Initial Developer or a Contributor (the Initial Developer or Contributor against whom You file such action is referred to as "Participant") alleging that:

    (a) such Participant's Contributor Version directly or indirectly infringes any patent, then any and all rights granted by such Participant to You under Sections 2.1 and/or 2.2 of this License shall, upon 60 days notice from Participant terminate prospectively, unless if within 60 days after receipt of notice You either: (i) agree in writing to pay Participant a mutually agreeable reasonable royalty for Your past and future use of Modifications made by such Participant, or (ii) withdraw Your litigation claim with respect to the Contributor Version against such Participant. If within 60 days of notice, a reasonable royalty and payment arrangement are not mutually agreed upon in writing by the parties or the litigation claim is not withdrawn, the rights granted by Participant to You under Sections 2.1 and/or 2.2 automatically terminate at the expiration of the 60 day notice period specified above.

    (b) any software, hardware, or device, other than such Participant's Contributor Version, directly or indirectly infringes any patent, then any rights granted to You by such Participant under Sections 2.1(b) and 2.2(b) are revoked effective as of the date You first made, used, sold, distributed, or had made, Modifications made by that Participant.

    8.3. If You assert a patent infringement claim against Participant alleging that such Participant's Contributor Version directly or indirectly infringes any patent where such claim is resolved (such as by license or settlement) prior to the initiation of patent infringement litigation, then the reasonable value of the licenses granted by such Participant under Sections 2.1 or 2.2 shall be taken into account in determining the amount or value of any payment or license.

    8.4. In the event of termination under Sections 8.1 or 8.2 above, all end user license agreements (excluding distributors and resellers) which have been validly granted by You or any distributor hereunder prior to termination shall survive termination.

9. LIMITATION OF LIABILITY.
    UNDER NO CIRCUMSTANCES AND UNDER NO LEGAL THEORY, WHETHER TORT (INCLUDING NEGLIGENCE), CONTRACT, OR OTHERWISE, SHALL YOU, THE INITIAL DEVELOPER, ANY OTHER CONTRIBUTOR, OR ANY DISTRIBUTOR OF COVERED CODE, OR ANY SUPPLIER OF ANY OF SUCH PARTIES, BE LIABLE TO ANY PERSON FOR ANY INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES OF ANY CHARACTER INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF GOODWILL, WORK STOPPAGE, COMPUTER FAILURE OR MALFUNCTION, OR ANY AND ALL OTHER COMMERCIAL DAMAGES OR LOSSES, EVEN IF SUCH PARTY SHALL HAVE BEEN INFORMED OF THE POSSIBILITY OF SUCH DAMAGES. THIS LIMITATION OF LIABILITY SHALL NOT APPLY TO LIABILITY FOR DEATH OR PERSONAL INJURY RESULTING FROM SUCH PARTY'S NEGLIGENCE TO THE EXTENT APPLICABLE LAW PROHIBITS SUCH LIMITATION. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THIS EXCLUSION AND LIMITATION MAY NOT APPLY TO YOU.
10. U.S. GOVERNMENT END USERS.
    The Covered Code is a ''commercial item,'' as that term is defined in 48 C.F.R. 2.101 (Oct. 1995), consisting of ''commercial computer software'' and ''commercial computer software documentation,'' as such terms are used in 48 C.F.R. 12.212 (Sept. 1995). Consistent with 48 C.F.R. 12.212 and 48 C.F.R. 227.7202-1 through 227.7202-4 (June 1995), all U.S. Government End Users acquire Covered Code with only those rights set forth herein.
11. MISCELLANEOUS.
    This License represents the complete agreement concerning subject matter hereof. If any provision of this License is held to be unenforceable, such provision shall be reformed only to the extent necessary to make it enforceable. This License shall be governed by California law provisions (except to the extent applicable law, if any, provides otherwise), excluding its conflict-of-law provisions. With respect to disputes in which at least one party is a citizen of, or an entity chartered or registered to do business in the United States of America, any litigation relating to this License shall be subject to the jurisdiction of the Federal Courts of the Northern District of California, with venue lying in Santa Clara County, California, with the losing party responsible for costs, including without limitation, court costs and reasonable attorneys' fees and expenses. The application of the United Nations Convention on Contracts for the International Sale of Goods is expressly excluded. Any law or regulation which provides that the language of a contract shall be construed against the drafter shall not apply to this License.
12. RESPONSIBILITY FOR CLAIMS.
    As between Initial Developer and the Contributors, each party is responsible for claims and damages arising, directly or indirectly, out of its utilization of rights under this License and You agree to work with Initial Developer and Contributors to distribute such responsibility on an equitable basis. Nothing herein is intended or shall be deemed to constitute any admission of liability.
13. MULTIPLE-LICENSED CODE.
    Initial Developer may designate portions of the Covered Code as “Multiple-Licensed”. “Multiple-Licensed” means that the Initial Developer permits you to utilize portions of the Covered Code under Your choice of the MPL or the alternative licenses, if any, specified by the Initial Developer in the file described in Exhibit A.

EXHIBIT A -Mozilla Public License.

    ``The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
    http://www.mozilla.org/MPL/

    Software distributed under the License is distributed on an "AS IS" basis, WITHOUT WARRANTY OF
    ANY KIND, either express or implied. See the License for the specific language governing rights and
    limitations under the License.

    The Original Code is ______________________________________.

    The Initial Developer of the Original Code is ________________________. Portions created by
    ______________________ are Copyright (C) ______ _______________________. All Rights
    Reserved.

    Contributor(s): ______________________________________.

    Alternatively, the contents of this file may be used under the terms of the _____ license (the “[___] License”), in which case the provisions of [______] License are applicable instead of those above. If you wish to allow use of your version of this file only under the terms of the [____] License and not to allow others to use your version of this file under the MPL, indicate your decision by deleting the provisions above and replace them with the notice and other provisions required by the [___] License. If you do not delete the provisions above, a recipient may use your version of this file under either the MPL or the [___] License."

    [NOTE: The text of this Exhibit A may differ slightly from the text of the notices in the Source Code files of the Original Code. You should use the text of this Exhibit A rather than the text found in the Original Code Source Code for Your Modifications.]


Credits

I am Tomer Chakam, designer and developer of MathCast. I have a B.Sc. in Electronics and Engineering and I work as a software engineer. I've been working on this project since mid 2004. I hope you will enjoy using MathCast and find it useful in your work.

Here is a list of great products used in the making of MathCast:
  • Bloodshed Dev C++ and CodeBlocks, great open source C++ IDEs
  • MinGW and the fast GCC compiler
  • Mozilla browser, the engine behind Firefox
  • The Gimp, the great GNU Image Manipulation Program for Windows
  • SourceForge.net, home to many open source projects
  • The useful bmp2png utility
  • Noia and Nuvola beautiful icon sets
  • msdn, Microsoft's extensive developers library


Installing and Uninstalling

This category explains how to install and uninstall MathCast on your computer.


Setting Up MathCast

Intalling MathCast

MathCast only works on PCs running Windows 2000, Windows XP, or newer.
MathCast is viewed best at 1024x768 or higher resolution and requires 32 bits of colors.

To install MathCast, just extract it to an empty folder of your choice. MathCast might not work though, if its folder name contains foreign letters or if the parent folders contain foreign letters.

In order for MathCast to work properly, you need to download two additional fonts packages. This is explained in the next section titled Math Fonts.


Math Fonts

For many equations, MathCast requires an extra set of fonts, in order to display them correctly. These fonts do not come with MathCast, because of copyright issues. These are TeX's Computer Modern Fonts and Mathematica 4.1 Fonts.

There are two ways you can go about installing them:
  1. Download an installable package put together at MIT.
  2. Download the fonts and unzip them manually into the "Windows\Fonts\" folder.

MIT's Fonts Package

This is the simpler of the two options.

Download the package from this link:
http://web.mit.edu/atticus/www/mathml/mit-mathml-fonts-1.0-fc1.msi.

And follow the instructions located:
http://web.mit.edu/is/topics/webpublishing/mathml/fonts-win.html.

Installing the Fonts yourself

Download TeX's Computer Modern Fonts from:
http://www.mozilla.org/projects/mathml/fonts/bakoma/texcm-ttf.zip.

The license for these fonts is found here:
http://www.mozilla.org/projects/mathml/fonts/bakoma/license.txt

Download Mathematica 4.1 Fonts (Not 4.2) from Wolfram Research's site:
http://support.wolfram.com/mathematica/systems/windows/general/latestfonts.html.

Select the 4.1 True Type fonts.

After downloading the fonts, extract them into the "Windows\Fonts\" folder.

More Info

The STIX Fonts Project will release the final version of the free fonts for mathematics. When it will be out, hopefully it will be integrated into MathCast.

For more information about MathML fonts used by Mozilla, which is used by MathCast, read this page:
http://www.mozilla.org/projects/mathml/fonts/.


Uninstalling MathCast

In order to remove MathCast from your computer, you only need to delete the folder it is located in. There are no registry or other types of information stored on your computer.

If you installed the MIT Fonts package, you can remove it though the Control Panel -> Add or Remove Programs. If however you have Design Science's MathType installed, removing these fonts would cause MathType not to work correctly. So you can either keep these fonts installed on your computer, or you can: uninstall the fonts, uninstall MathType, and then install MathType again.

If you installed the fonts manually, as explained in the previous topic, you can remove them by deleting the following font files from your Windows\Fonts folder: cmsy10.ttf, cmr10.ttf, cmmi10.ttf, cmex10.ttf, math1___.ttf, math1b__.ttf, ...(and all the math2_, 3 and 4), and math5mb_.ttf.


Using MathCast

MathCast has a user friendly GUI, which is designed for simplicity and power. This category describes how to operate MathCast.

MathCast’s most important screen is the Edit Screen, where you can edit equations. In addition to that, there is also a Welcome Screen, a Settings Screen, and a Browser Screen. MathCast shows only one screen at a particular time, but you can switch between them. The main menu changes according to each screen.


Key Concepts

This section will present two important concepts for working with MathCast, Rapid Mathline and Equation List Management.

The Rapid Mathline

Typing equations into MathCast is really simple and is done through a text input line called Rapid Mathline. You type-in an equation as you would to a calculator, and MathCast automatically formats your equation to appear as it would on paper. MathCast's engine is smarter than calculators' though, so the equations you insert in the Mathline are human-logically readable.

The Rapid Mathline supports keyboard hotkeys to be used with the Ctrl key and another key. And pressing a normal key on the keyboard twice or more inserts Greek letters and mathematical symbols. In addition to that, the Rapid Mathline is nicely integrated into the Edit Screen, which has more tools for inserting mathematical symbols and functions.

For advanced formatting, such as: underscript, bold, and others, MathCast has special markup characters, which allow you to specify how the output would look.

Equation List Management

MathCast is an Equation List Manger: Equations are kept in lists, and you as the editor can work on each equation individually or on all equations at the same time. This powerful concept enables you to work on all the mathematics of your project, be it a document, a webpage, or something else, all at the same application, which is unique to mathematics.

Using the Rapid Mathline, you can type-in new equations into the list. If you are working on a new equation that is similar to one you already have in the list, you can copy the other equation, or a part of it, into your new equation and make the appropriate changes.

Equations can be moved around the list or deleted from it.

You can even work on a list together with a friend over a LAN or across the Internet.

When needed, you can copy an equation to the clipboard, and paste it into your project.

You can, of course, save lists to and open lists from files on your hard drive.


The Welcome Screen

The first screen that appears when you start MathCast is the Welcome Screen. It features the main actions one would take upon starting.

Here are the explanations for the actions:
  • To the Edit Screen - Switches to the Edit Screen.
    The Edit Screen may contain an empty equation list or not (when MathCast starts, a new equation list is created). Switching between screens doesn't erase your work.
  • New Equation List - Erases the current list, starts a new one, and switches to the Edit Screen.
  • Open Equation List - Opens an equation list file from the hard drive.
  • Import Equation - Imports a single equation from a file and adds it to the current list.
  • Help - Shows this Help Documentation.
  • Website - Switches to the Browser Screen and loads up MathCast's homepage.
  • Settings - Switches to the Settings Screen. The various MathCast settings are explained later in this Documentation.
  • Exit MathCast - Exits the program. See you soon.


The Edit Screen

MathCast's main screen is the Edit Screen. Here you can type-in, edit, and manage your equations.

The Edit Screen is divided into a few main sections, as shown in this picture:

The Equation List Pane

Most of the screen is taken up by the Equation List Pane. Using MathCast, you would usually edit more than one equation at a time. All of the equations you edit are listed in this pane.

Left clicking on an equation selects that equation. A selected equation is outlined by a pink box surrounding it. Once selected, you can change what is written in the equation, copy it, delete it, and so on.

Equation Buttons Pane

These are some of the most used actions that you would take:
  • Copy - Copies the selected equation to clipboard. If a few equations are selected, MathCast will internally copy all the equations, but only the first one will get copied to the clipboard.
  • Cut - Copies the selected equation to the clipboard and deletes the equation from the list. If a few equations are selected, MathCast will internally copy all the equations, but only the first one will get copied to the clipboard.
  • Paste - Replaces the selected equation (or equations) with the previously copied equation (or equations).
  • Delete - Erases the selected equation (or equations) and removes it from the list.
  • Move Up - Moves the selected equation (or equations) up one place on the list.
  • Move Down - Moves the selected equation (or equations) down one place on the list.
  • Add - Creates a new equation and adds it to the end of the list.
  • Insert - Creates a new equation and inserts it at the selected equation on the list.
  • Preview Mathcasting - Shows a preview of the XHTML page associated with the equation list. See Mathcasting MathML with XHTML later in this Documentation.

The Rapid Mathline

The Rapid Mathline is where you can type-in and re-edit equations. This is all explained in detail in the next section, titled The Rapid Mathline.

The Lowlist

The Lowlist includes some commonly used characters that you can quickly add to the Mathline.

You can edit "lowlist.dat" file, located in the "Interface" folder and change the characters, if you wish.

Equation Name

Each equation can be named. Pressing on the name link will let you edit the name in the Rapid MathLine.

The Main Menu for the Edit Screen

The File Menu
The menu actions here operate on the entire current equation list.
  • New - Closes the current equation list and starts a new one.
  • Open - Closes the current equation list and opens an equation list from a file on the hard drive or other storage devices.
  • Save - Saves the equation list on disk with the filename of the current working file. If a working filename has not been specified beforehand, you will be prompted to select a folder and a filename.
  • Save as - Prompts you for a folder location and filename and saves the equation list to disk.
  • Insert - Opens equation list from disk and inserts it into the current list, replacing the selected equation.
  • Append - Opens equation list from disk and inserts it into the current list, at the end.
  • Download - Closes the current equation list, and downloads an equation list from another IP address. See the section titled Downloading Equation Lists, later in this Documentation.
  • Browser Screen - Switches to the Browser Screen.
  • Welcome Screen - Switches to the Welcome Screen.
  • Exit - Exits MathCast.

The Edit Menu
The Edit Menu operates on either the equation list or the Rapid Mathline; it depends on where the keyboard focus is at the time.

The menu actions here are similar to other applications. The "Settings" menu item takes you to the Settings Screen.

There are also options for selecting multiple equations. "Select Few" lets you select a number of equations. Enter the equation numbers in the Rapid Mathline to select.

The Equation Menu
The menu actions here operate on single equations within the current equation list.
  • Add Equation - Creates a new equation and adds it to the end of the list.
  • Insert Equation - Creates a new equation and inserts it one place before the selected equation on the list.
  • Import Equation - Imports an equation to the list from a file. The equation replaces the selected equation.
  • Export Equation - Exports the selected equation to a file.
  • Move Up - Moves the selected equation up one place on the list.
  • Move Down - Moves the selected equation down one place on the list.
You can also change the style of the selected equation from Block to Inline. See The Settings Screen for a description of the differences.

You can also change the colors or the size of the selected equation.

The Math Menu
This menu shows all the symbols, operators and functions supported by MathCast. Selecting an item from this menu, will add the according text to the Rapid Mathline.

The Help Menu
This is a standard help menu. For your convenience, there is also a shortcut to the calculator and to a unit converter.


The Rapid Mathline

With MathCast, all of the “inputting” and “editing” of equations is done through this mechanism. The Rapid Mathline’s main design goal is to be as simple and as logical as possible, while at the same time be powerful enough for advanced editing.

The main disadvantage of the Rapid Mathline is that the equations are displayed in a “calculator-like” row instead of a mathematical representation. Although, this is also its main advantage, since it incorporates an intelligent engine that automatically styles your equations to look as they should, thus allowing you to type-in the equations more rapidly. (The mathematics generated by MathCast, if you notice, is the same as that of most books. This is the standard adopted by the mathematician community.)

Operation

To edit an equation:
  • In the Edit Screen, select an equation with the mouse or keyboard.
  • If the equation isn't empty, then a Mathline presentation can be seen in the Rapid Mathline.
  • Click inside the Rapid Mathline with the mouse, or press Enter.
  • You can use the keyboard to type-in an equation in Mathline format. Notice that for some keys, pressing them more than once will give you alternate characters. This is called Quick Keys. You can enable/disable this feature by pressing Ctrl+Q.
  • Some special characters can be entered through pressing the Ctrl key and another key. This is called Hotkeys.
  • You can also use the mouse to select characters from the Lowlist.
  • Every available element which can be entered into the Rapid Mathline can also be selected from the Math Menu.
  • Copy, cut, paste, and other functions are also operational.

Basics

The Rapid Mathline identifies the following elements: numbers, letters, function names, mathematical operators, shortcuts, and markup. All of these elements can be entered individually, except for the markup characters, which require parameters.

Before we go into details about each element, here are some examples:

Mathline Text | Rendered Result
2a + 3.5b = c |
α×β ≠ γ÷δ |
x1 +x2+ x3+ … |
sin(ax) + cos(bx) |
"matrix A:" ░◢A |
a² + b^4 = √c |
2╱‹a + b› |
∑‡0¸100 x^n |
∫¦0¸‹t + 100› t² dt |
x̅ + y̅ = z̅ |
lim_‹x→0› ‹sin x›╱x |

Numbers

A number is made up of a series of digits, without spaces between. It may include commas and periods (including a period as the first character).

Examples:
120
10.20
1,500
5.1.2.3
.987
10,20,30.12.34,3

Letters

A letter consist of one character: ‘A’ through ‘Z’, ‘a’ through ‘z’, Greek letters, double-struck letters, or special letters.

Examples:
a
T
Β
Ψ
ℝ
ℒ
℃

Letters are usually used for conveying identifiers or variables in mathematics.

Function Names

Function names are predefined names consisting of a few letters grouped together (without spaces between).

Examples:
sin
Arctan
lim
det

Unlike letters, function names do not display in italic text style, but rather as normal text style. If the letters don’t spell-out a function name, the Rapid Mathline will take all the letters individually (as if there is an invisible times between them).

Operators

Mathematical Operators are one-character long symbols used in mathematics.

Examples:
+
=
∯
∡
∑
≤

Markup

The markup elements are elements that have a special appearance or meaning. They are created with the help of the markup characters.

These are the 20 predefined markup characters: ◢░◟^¦_¯‡"‹›()¸√∜╱⁄⌈⌋

These characters are different from the other characters (operators and letters) in that they require parameters.

Superscripts, Subscripts, Underscripts, and Overscripts
This table summarizes the x-scripts:

Character | Name | Arguments | Syntax | Result
◟ | subscript | base + arg | b◟x |
^ | supscript | base + arg | b^x |
¦ | subsupscript | base + 2 args | b¦x¸y |
_ | underscript | base + arg | b_x |
¯ | overscript | base + arg | b¯y |
‡ | underoverscript | base +2 args | b‡x¸y |

Notice that for subsupscript and underoversript the two parameters are separated by the argument separator character ‘¸’.

Note: When you want to add an index to a letter, for example [image], you don’t need to type x◟10, typing x10 will give you the same result.

Fractions
To type-in a fraction, use the ‘╱’ character. A fraction requires 2 parameters: a numerator and a denominator. For the input n╱d, the rendered result would be [image].

Note: MathCast supports bevelled fractions (n/d), however at this time it doesn’t display them correctly. You can still use it though for MathML or for future compatibility. It is available through the “slash over” character.

Roots
To type-in a square root, use the ‘√’ character, followed by whatever you need in the root. So for √r the rendered result would be [image].

To type-in an n’th-root, use the ‘∜’ character. Before it, type the n, and after it, type the root. So n∜r would render as [image].

Bold
To specify bold style appearance for your mathematics, use the bold markup character, ‘◢’. The syntax is: ◢b, and the rendered result is: .

Text
To add text to your mathematics, use a couple of double-quotes and enter the text between them: "Sample" would render as [image].

Spaces
To add a small space, use the space markup character, ‘░’.

The syntax is: a░b, and the rendered result is: .

Blocks and Parentheses
In many equations, you would want to group a few elements together. This is especially useful when working with other markup characters, such as fractions, roots, and scripts. To put a few elements in a block, use the ‘‹’and ‘›’ characters. The Hotkeys for these are: Ctrl+9 and Ctrl+0 or Ctrl+,(coma) and Ctrl+.(dot).

Here are some examples:

Mathline Text | Rendered Result
‹a + 1000›╱‹b − a²› |
√‹a + 100²› |
‹du›╱‹dt› |
x^‹jω + φ› |
|∫xdx| |
|‹∫xdx›| |

Parentheses, like blocks, allow you to group elements together. But unlike blocks, Parentheses are shown in the rendered equation. For example: (∫xdx) would render as [image].
In the Rapid Mathline, you must close all blocks and parentheses.

Vector - 2D Matrix
In order to add a two-dimensional matrix (or vector), use the ‘⌈’, ‘⌋’, and argument separator characters.

For example, ⌈a¸b⌋ will render as [image].
And to get a vector with parenthasis around it, (⌈10¸5+4¸20⌋) will give [image].
Also notice that the blocks are inferred automatically, you don't need to input ‹5+4›.

Matrix
A matrix, like the vector, requires the ‘⌈’, ‘⌋’, and argument separator characters.

For example, ⌈ ⌈a¸b⌋⌈c¸d⌋ ⌋ will render as [image].
The outer ‘⌈’ and ‘⌋’ tell the Rapid Mathline that we are talking about a matrix. While the internal ‘⌈’ and ‘⌋’ repressent the rows of the matrix.

Shortcuts

Shortcuts are basically a few characters represented by another character.

For example, if you enter x² in the Mathline, the squared character is actually a shortcut for ^2. Thus, when you enter ^2, the Rapid Mathline automatically places the shortcut ‘²’ after you press Enter.

All the overhead operators, such as vector and overline, are also shortcuts.


The Settings Screen

You can set the working settings to suite your needs. This section explains about the settings that appear in the Settings Screen and about a few settings that don’t.

After you select your settings, press “Set” to apply and save them. These settings are saved on the hard drive in the file “settings.xml” located in MathCast’s folder.

Clipboard Copy Format

MathCast uses an image format to copy equations. There are 2 formats: Bitmap copy and Enhanced Metafile copy. MathCast uses a “screen-copy”, what’s rendered on the screen is what is copied to the clipboard.

Use the Bitmap copy, if you know the document is for on-screen reading or for a webpage. With Bitmap copy the equation would look exactly as it does in the Edit Screen. Bitmap copy however is not sharp enough for high quality printing.

Use the Enhanced Metafile copy if you want to create a document with sharp equations for printing. In order to get more detail, MathCast first enlarges an equation, then copies it. If an equation is too large and doesn't fit in MathCast's window, you’ll have to maximize the window, in order to have it copy correctly. There are two types of copy: the first pastes in nicely in Word 2000, WordPad, and OpenOffice.org Writer, while the second pastes better in Word XP and Word 2003.

Use MathML copy if you want to copy the MathML generated by MathCast. This copy format must be selected in order to copy equations between different instances of MathCast on the same computer.

XML Layout

MathCast gives you some control over the output of the MathML it produces.
  • Named – MathML characters are replaced by their name (for example the character “π” is replaced with “&pi;”).
  • Hexadecimal – MathML characters are replaced with XML standard hexadecimal notation (for example the character “π” is replaced with “&#x03C0;”).
  • Unicode – MathML characters are left as Unicode characters (“π” remains “π”).
If Unicode is selected, MathCast will save files with "UTF-16" encoding type, otherwise it will save in ASCII format.

Display Types

MathCast supports two display types for equations: “Block” and “Inline”.

Textbooks usually use “Block” when centering equations, like this:
The Schrodinger equation states that:

Where the m stands for…

And they use “Inline” when writing an equation in the middle of a sentence, like this:
The Schrodinger equation, [image], is one of the fundamental equations in Quantum Physics…

Notice the differences in the parenthesis size and in the size of some of the characters.

Math Styles

You can set the default size, color and background color for your equations.

At the current version, MathCast supports only the basic colors.

Font Smoothing Type

You can set the level of smoothing or antialiasing for equations. This setting will also affect the default font smoothing setting for all other running applications, until MathCast is closed.
  • None: The equations will be drawn with only one color.
  • Standard: Equations that are not size “1” will be smoothed out around the edges.
  • ClearType: All equations will appear smooth. This option can only be selected in Windows XP or newer.
Equations with smoothing, will take slightly more space on the hard drive, when exported to picture files.

TCPIP Port

MathCast allows people to work together on equation lists over a network and across the Internet. This feature is described more in detail in the section labeled Downloading Equation Lists.

You can specify which port you want to allow other people to connect to your computer. Specify zero if you want to disable this feature.

Additional Settings

These options can be set by editing the “settings.xml” file, located in MathCast’s folder, with the help of Wordpad.

You can customize the colors MathCast uses to draw the Edit Screen by changing their hexadecimal color codes:
  • tableColor - the blue table where all the equations are drawn into.
  • selectionBoxColor - the pink box that surrounds the selected equation.


The Browser Screen

MathCast features an integrated Web browser, giving you quick access to MathCast’s website and to various useful mathematical resources on the Web.

Switching to the Browser Screen does not erase your work on the Edit Screen.

Right-clicking on a web link will cause MathCast to prompt you whether or not to open the new link in your default browser. Right-clicking on a file link will allow you to download that file to your hard drive.


File Types supported

MathCast supports a few file types for saving and loading equations to the hard disk. The files are categorized into two groups: descriptive files, and picture files.

Descriptive Files

MathCast’s main language is MathML 2.0 Presentation. Thus all files are described in XML based files. The Settings Screen includes a few options that give you some control over the final makeup of the XML.

To import and export files:
  • You can export a single equation to an .mml file (which is basically just an XML file with one math tag).
  • You can import a single equation from an .mml file or from any XML based file (MathCast will just load the first math tag).

There are a few rules concerning saving and loading equation lists:
  • When saving a newly created list (one that has not been previously loaded from the hard drive), MathCast stores it in XHTML format.
  • MathCast allows you to open any XML file which includes MathML. You can work on the mathematics in the Edit Screen. When saving that file, any markup that existed beforehand is retained. This unique ability is a part of MathCast’s Mathcasting feature.

Picture Files

You can export single equations into one of the following picture files: BMP, PNG, and EMF.

Use the BMP and PNG formats for a webpage or for on-screen reading.

EMF stands for Enhanced Metafile. These files can be used with MS Word and OpenOffice.org Writer as well as other applications. EMF allows saving pictures in higher detail. Use EMF when you want to use the equations in printed documents.


Downloading Equation Lists

MathCast allows you to work on equation lists with other people on a LAN or across the Internet. In order to see the Download Screen: From the Edit Screen select the “Download” option from the File Menu.

In the textbox, enter the IP of the computer you want to download from, for example: “80.145.220.8”. If the port number is different than 8085, then you can specify the port after a colons sign, for example “80.145.220.8:8089”.

You can set the default port for other people to download from you in the Settings Screen. MathCast’s default port is 8085. However, it automatically adds 1 to the default port, if you run a few instances of it.

You can download another user's equation list file using the address of 80.145.220.8:8085/list.xml.

Another way to view the equation list of another user, is by browsing to the equation list using a Mozilla (or Firefox) browser:
  • In the address bar, write down 80.145.220.8:8085/math.xml.
  • In order to have the list refresh every five seconds, write down 80.145.220.8:8085/refresh.xml.
  • You can set an arbitrary number of seconds by entering 80.145.220.8:8085/refresh.xml?interval=3.


Applications of MathCast

MathCast wouldn’t be as useful as it is, if you couldn’t use the equations it creates in documents and webpages. This category illustrates the most important and commonly used applications that this software has to offer.


Using MathCast with Word Processors

A very important feature of MathCast is the ability to use the equations you create with word processors. There are a few ways you can go about doing this, depending on which word processor you use.

When working with documents, you would usually want to keep MathCast open as well, so that you can switch between the word processor and MathCast. When you want to insert an equation to your document, use MathCast's Copy command from the "Edit Menu" to copy an equation to the clipboard, and then from the word processor's "Edit Menu" use paste.

Please note that MathCast's equations are not objects, but pictures. So double-clicking on them won't open MathCast. It is a good idea then, to keep a backup of your equations in an equations list file, along with your .doc file. Perhaps in future versions of MathCast you won't need to do this.

Working with "block style" equations in word processors is not a problem, just paste the equation and center it on the page. It's also really easy to paste the equations in tables, when you need.

Thus, this section will point out the problematic issues of working with MathCast and word processors.

Microsoft Word

There is a small problem inlining equations in a middle of a sentence. If you notice, the equations that you paste are slightly higher than the rest of the text. For some reason, Word doesn't have an option to center images in a row of text; you can move the picture around, but you can't align it to the center.

HTML however does support this option. So if you're creating HTML pages with Word, you can later make appropriate changes in the HTML itself. See Using MathCast with HTML.

What you can do to lower the equation in Word, is to lower the text around it. You do it like this: select the equation image along with the spaces around it, right click on the selected area, choose "font" from the popup menu, choose the tab called "spaces between characters" (or something similar), in this dialog window you can lower the text by pressing the down arrow in the same row called "location".

MathCast's Enhanced Metafile copy was designed to give higher pixel quality for the equations. This is especially important when creating documents, since you want the print quality to be very high. From the Settings Screen, you can select the one of two Enhanced Metafile copy types. The first one works correctly with Word 2000 and the second one with Word XP and Word 2003.

OpenOffice.org Writer

With OpenOfice.org, you can align an image to the center of a row of text, here is how: after you paste the equation image, click on in to select it, right click on the image and select "Anchor->As Character", then right click on the image again and select "Alignment->Base Line Centered".

When you use MathCast's Enhance Metafile copy, you might not be able to see the equation in Writer since it's too sharp. Just zoom in a bit to see it. The Enhanced Metafile copy was tested with OpenOffice.org 1.1.5, and it works correctly. OpenOffice.org's built-in Math editor supports MathML 1.0, but since MathCast uses MathML 2.0, you cannot import MathCast created equations into OpenOffice.org's Math.


Using MathCast with HTML

If you want to insert equations into a webpage there are two ways you can do it: you can either have the equations in picture files and add them to the page as you would any other image (thought the <img> tag), or you can have the equations written in MathML and add the <math> tag.

If you want to use MathML you should work with XHTML and not HTML. The Mozilla browser, for example, doesn't support MathML on HTML pages. But besides that, MathCast's unique feature is the Mathcasting feature, which allows you to work on all of the MathML of an XHTML page together.

Inserting equation images in an HTML page is particularly simple with MathCast since it supports outputting to the PNG image format. This is a free format, not patented by any company, so you won't get into any legal trouble. Its compression is excellent for these types of images. And picture quality is the best there is, since it does not loose any detail.

If you want to add an equation image just add the following to your HTML:

If you want to Block an eqaution image:
<center><img src="eq1.png"/></center>

If you want to Inline an image:
You can see from this formula, <img src="eq1.png" align="middle"/> that…


Mathcasting MathML with XHTML

MathCast’s top feature, as already stated, is Mathcasting. The main idea is to let MathCast (an application specially suited for math editing) manage all of the mathematics of an XHTML page, while you can work on the rest of the markup with applications suited for regular XHTML editing.

When you open an XHTML file (or any other XML file, to be exact), MathCast will load only the <math> tags of that file into the Edit Screen. You can then work on all of the equations with MathCast, as you would normally. And later when you save that file, MathCast will replace the original math tags with the new equations that you created, leaving the rest of the markup in the file untouched.

Here are the exact details of how to make it work:
  • You have to Open (not Insert, Append or Download) an XHTML or XML file into MathCast.
  • When saving, select Save (not Save As).
  • All of the math tags from the file will be replaced by the math equations that appear in the Edit Screen, in the same order.
  • If you deleted a few equations from the list in the Edit Screen, the last few math tags will be deleted from the file.
  • If you added a few equations to the list in the Edit Screen, there will be a few extra math tags following the last math tag in the file.

MathCast defaults to encoding XML files with the ASCII character set. In the Settings Screen, if you selected “Named” or “Hex” XML layout, MathCast will attempt to save your file as an ASCII file. If however that file has non ASCII chacters or it has been declared as “UTF-16” in the xml declaration, MathCast will save it as a UTF-16 unicode file.

In the Edit Screen, the bottom button on the Buttons Pane is the “Preview Mathcasting” button. By clicking it you can see a preview of how the equations fit into the rest of the XHTML page.


Browser Support for MathML

The XHTML files produced by MathCast are compatible with Mozilla, Firefox, and Netscape browsers, which have internal support for MathML.

Internet Explorer, on the other hand, requires a program update to enable displaying MathML. One such application is Design Science's MathPlayer, available at http://www.dessci.com/en/products/mathplayer. If you want to view MathCast's equation lists in Internet Explorer:
  1. Make sure you save your files with the hexadecimal XML layout. This option can be set in the Settings Screen.
  2. Edit the XHTML file with WordPad and replace the
    <!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.1 plus MathML 2.0//EN'
    'http://www.w3.org/TR/MathML2/dtd/xhtml-math11-f.dtd'
    [<!ENTITY mathml 'http://www.w3.org/1998/Math/MathML'>]>
    with
    <?xml-stylesheet type="text/xsl" href="http://www.w3.org/Math/XSL/pmathml.xsl"?>

    You can download pmathml.xsl and place it in the same folder as your XHTML file. In that case, just write
    <?xml-stylesheet type="text/xsl" href="pmathml.xsl"?>


Customizing MathCast

There are a number of changes you can make to improve your MathCast usage experience. These changes manipulate the appearance and functionality of Mathcast. In order to make these modifications, you must edit some of MathCast files. If you try to edit the files mentioned below and you can't see some of the characters correctly, choose the Lucida Sans Unicode font.

The Lowlist

The Lowlist is the list of characters listed in the bottom of the Edit Screen. You can easily edit the file “lowlist.dat”, located in the “Interface” folder, and change the characters or add new ones.

Quick Keys

In the Rapid Mathline, pressing a key a few times can show other symbols. You can easily set these symbols through the “Keys.dat” file.

Adding Characters and Function Names

All the characters and function names that MathCast is aware of are located in the “Known.xml” file.

Here are the main guidelines:
  • The document element is called “mathematics”.
  • The “mathematics” element has the following child elements: groups, letters, operators, shortcuts, functions, and markup.
  • The “g”s of the“groups” are the same as the names of the menu items in the Math Menu, in the same order.
  • The “letters” and “functions” correspond to the “mi” element of MathML.
  • The “operators” correspond to the “mo” element of MathML.
  • The “markup” are characters for main MathML tags.
  • The “shortcuts” are a combination of other elements.
Here are the guidelines for the “in” element:
  • Every symbol or function name has its own “in” element.
  • The text of the “m” element is the text that appears in the MathML.
  • The text of the “t” element is the text you have to type in the Rapid Mathline.
  • The text of the “i” element is just the name of the character or function.
  • Every “in” element is a child of a “group” element, in which its name you can see in the Math Menu.
To add a character of function name: locate the group name you want to add to, copy a close-by “in” tag and change the accordingly. Don’t change anything from the “markup” element.

Changing the Appearance

The settings for MathCast are located in Mathcast's folder in a file called “settings.xml”. There are three settings that control the colors of MathCast. These settings can be changed by editing the settings file with WordPad. The colors are in hexadecimal format.
  • tableColor - the light blue color used to draw the table.
  • selectionBoxColor - the pink box that surrounds the selected equation.

The pictures of the buttons, backgrounds, and icons can also be changed. All the pictures used by MathCast the “Interface” directory. Try to keep the pictures of the buttons the same size, otherwise MathCast might not work correctly.

The Size of Spaces

In the Rapid Mathline the Ctrl+S key makes a space. You can customize the default length of this space in the “settings.xml” file: the tag to change is “spaceSize”.